<script>
  export let items
  export let title
  export let noItemsMessage

  import Card from "sveltestrap/src/Card.svelte"
  import CardBody from "sveltestrap/src/CardBody.svelte"
  import CardHeader from "sveltestrap/src/CardHeader.svelte"
  import Table from "sveltestrap/src/Table.svelte"
  import ButtonIcon from "../components/ButtonIcon.svelte"
  import PublishedAt from "../components/PublishedAt.svelte"
  import PublishedRange from "../components/PublishedRange.svelte"
</script>

<Card>
  <CardHeader>{title}</CardHeader>
  <CardBody>
    {#if items.length > 0}
      <Table
        responsive
        striped="true"
        bordered="true"
        hover="true"
        class="text-center"
        size="sm">
        <thead>
          <tr>
            <td>Numéro</td>
            <td>Publications</td>
            <td>Date de publication</td>
            <td />
          </tr>
        </thead>
        <tbody>
          {#each items as bopi}
            <tr>
              <td>{bopi.id}</td>
              <td>
                <PublishedRange {bopi} />
              </td>
              <td>
                <PublishedAt {bopi} />
              </td>
              <td>
                <ButtonIcon
                  icon="bx-book"
                  color="primary"
                  href="./bopi/{bopi.id}"
                  title="Voir le détail du BOPI">
                  Afficher
                </ButtonIcon>
              </td>
            </tr>
          {/each}
        </tbody>
      </Table>
    {:else}{noItemsMessage}{/if}
  </CardBody>
</Card>
